|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QSvgGenerator Class Reference
[QtSvg module]

The QSvgGenerator class provides a paint device that is used to create SVG drawings. More...

     #include <QSvgGenerator>

Note: All the functions in this class are reentrant.

This class was introduced in Qt 4.3.

- List of all members, including inherited members

### Public Functions

- QSvgGenerator ()
- ~QSvgGenerator ()
- QString fileName () const
- QIODevice * outputDevice () const
- int resolution () const
- void setFileName ( const QString & fileName )
- void setOutputDevice ( QIODevice * outputDevice )
- void setResolution ( int resolution )
- void setSize ( const QSize & size )
- QSize size () const

### Protected Functions

- virtual QPaintEngine * paintEngine () const

## Detailed Description

The QSvgGenerator class provides a paint device that is used to create SVG drawings.

See also QSvgRenderer and QSvgWidget.

## Member Function Documentation

### QSvgGenerator::QSvgGenerator ()

Constructs a new generator.

### QSvgGenerator::~QSvgGenerator ()

Destroys the generator.

### QString QSvgGenerator::fileName () const

Returns the name of the file to be created by the generator.

See also setFileName().

### QIODevice * QSvgGenerator::outputDevice () const

Returns the target output device for generated SVGs.

See also setOutputDevice().

### QPaintEngine * QSvgGenerator::paintEngine () const `[virtual protected]`

Returns the paint engine used to render graphics to be converted to SVG format information.

### int QSvgGenerator::resolution () const

Returns the resolution of the generated output in dots per inch.

See also setResolution().

### void QSvgGenerator::setFileName ( const QString & fileName )

Sets the target filename for generated SVGs to fileName.

See also fileName() and setOutputDevice().

### void QSvgGenerator::setOutputDevice ( QIODevice * outputDevice )

Sets the output device for generated SVGs to outputDevice.

If both output device and file name are specified, the output device will have precedence.

See also outputDevice().

### void QSvgGenerator::setResolution ( int resolution )

Sets the resolution of the generated output to resolution. The argument is specified in dots per inch.

The resolution is used to calculate the physical size of an SVG drawing.

See also resolution().

### void QSvgGenerator::setSize ( const QSize & size )

Sets the size of the generated SVG to size.

It is not possible to set the size while the SVG is being generated.

See also size().

### QSize QSvgGenerator::size () const

Returns the size of the generated SVG.

See also setSize().